Bug 1536457 - During P>Q Ceph upgrade does not start because StackUpdateType is never set to UPGRADE,
Summary: During P>Q Ceph upgrade does not start because StackUpdateType is never set t...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: beta
: 13.0 (Queens)
Assignee: Giulio Fidente
QA Contact: Yogev Rabl
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-01-19 13:17 UTC by Giulio Fidente
Modified: 2018-06-27 13:43 UTC (History)
9 users (show)

Fixed In Version: openstack-tripleo-heat-templates-8.0.0-0.20180122224017.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-27 13:42:33 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
OpenStack gerrit 537961 None master: MERGED tripleo-heat-templates: Switch to ceph-ansible rolling_update on upgrade converge (I22c2d7f3a33b454df46173c76d0ede668ab9... 2018-02-07 14:15:00 UTC
Red Hat Product Errata RHEA-2018:2086 None None None 2018-06-27 13:43:13 UTC

Description Giulio Fidente 2018-01-19 13:17:50 UTC
From OSP12 the Ceph upgrade is triggered when StackUpdateType is set to UPGRADE but in OSP13 we don't set that parameter anymore.

For ceph-ansible we need to discern when an upgrade is happening to swith to the appropriate playbook.

Comment 5 Giulio Fidente 2018-01-25 14:58:02 UTC
We only want to run the workflows during the -converge step so setting and unsetting StackUpdateType is not possible anymore (-converge is the last step of the upgrade process)

Comment 6 Giulio Fidente 2018-01-25 15:00:40 UTC
The templates for ceph-ansible used to point it to a specific playbook when upgrade was necessary. [1]

1. https://github.com/openstack/tripleo-heat-templates/blob/master/docker/services/ceph-ansible/ceph-base.yaml#L208

Comment 7 Giulio Fidente 2018-01-25 16:39:47 UTC
I think a potential fix/workaround which we can experiment with is in [1]

1. https://review.openstack.org/#/c/537961/

Comment 13 Yogev Rabl 2018-06-05 12:57:15 UTC
Verified

Comment 15 errata-xmlrpc 2018-06-27 13:42:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2018:2086


Note You need to log in before you can comment on or make changes to this bug.